Subject: pkg/36797: lang/scsl-jre15 won't build with modular xorg
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 08/16/2007 22:45:00
>Number:         36797
>Category:       pkg
>Synopsis:       lang/scsl-jre15 doesn't build with modular xorg
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Aug 16 22:45:00 +0000 2007
>Originator:     Steven M. Bellovin
>Release:        NetBSD 4.99.29
System: NetBSD 4.99.29 NetBSD 4.99.29 (BIGBOY) #0: Wed Aug 15 19:33:08 EDT 2007 i386

Architecture: i386
Machine: i386
	I tried a bulk build of many packages using pkg_comp and
	modular xorg.  I have X11_TYPE=modular in /etc/mk.conf; this is
	properly carried through to the pkg_comp environment.  The
	host system is running monolithic xorg and -current; presumably,
	that doesn't matter.  The "sets" tarballs are from a very
	up-to-date -current build.  The metapackages for xorg are
	explicitly built very early in the build.

	Here are the messages I get:

	 => Registering installation for scsl-jre15-1.5.0p3.1
	 => Checking file-check results for scsl-jre15-1.5.0p3.1
	 => Checking file permissions in scsl-jre15-1.5.0p3.1
	 => Checking for missing run-time search paths in scsl-jre15-1.5.0p3.1
	 ERROR: /usr/pkg/java/scsl-1.5/bin/policytool:   -lX11.6 => not found
	 ERROR: /usr/pkg/java/scsl-1.5/bin/unpack200:    -lstdc++.5 => not found
	 ERROR: *** The programs/libs shown above will not find the listed
	 ERROR:     shared libraries at runtime.
	 ERROR:     Please fix the package (add -Wl,-R.../lib in the right places)!

	See above